#ifndef HEXSPINBOXDELEGATE_H
#define HEXSPINBOXDELEGATE_H

#include <QItemDelegate>

struct DeviceChModelItem;

class HexSpinBoxDelegate : public QItemDelegate
{
    Q_OBJECT
public:
    HexSpinBoxDelegate(QObject *parent = 0);
    QWidget *createEditor(QWidget *parent,
                          const QStyleOptionViewItem &option,
                          const QModelIndex &index) const;
    void setEditorData(QWidget *editor,
                       const QModelIndex &index) const;
    void setModelData(QWidget *editor,
                      QAbstractItemModel *model,
                      const QModelIndex &index) const;

private slots:
    void dataChanged(int val);

private:
    inline DeviceChModelItem *getItemByIndex(const QModelIndex &index) const;
};
#endif // HEXSPINBOXDELEGATE_H
