#ifndef EVBAPP_H
#define EVBAPP_H

#include "app/DaqGuiApp.h"

#include "EvBStartupOptions.h"

class EvBApp : public DaqGuiApp
{
public:
    EvBApp(int &_argc, char *_argv[]);
    EvBStartupOptions getStartupOptions() const { return so; }

protected:
    virtual bool hasConfigSelectorOption() const override { return true; }
    virtual void setupOptions() override;
    virtual void processParseResults(QCommandLineParser &parser) override;

private:
    EvBStartupOptions so;

    QCommandLineOption telnetPortOption;
};

#endif // EVBAPP_H
