#ifndef EVENTSIZEPERIOD_H
#define EVENTSIZEPERIOD_H

#include <QElapsedTimer>
#include <QMetaType>

#include <optional>

struct EventSizePeriod
{
    void addEvent(quint32 s);
    void newPeriod();
    bool isNextPeriod(const QElapsedTimer &curT) const;
    std::optional<int> getEvSize() const;
    std::optional<int> getNewBufSize() const;

private:
    quint64 size = 0;
    quint64 cnt = 0;
    QElapsedTimer timeMark;
};
Q_DECLARE_METATYPE(EventSizePeriod)

#endif // EVENTSIZEPERIOD_H
