#ifndef SLOWCONTROLCONFIG_H
#define SLOWCONTROLCONFIG_H

#include <QMetaType>

class QDataStream;
class QDebug;

struct SlowControlConfig
{
    static const quint16 SLOW_CONTROL_DEF_PORT = 33306;

    bool enabled = false;
    quint16 port = SLOW_CONTROL_DEF_PORT;
};

Q_DECLARE_METATYPE(SlowControlConfig)

bool operator==(const SlowControlConfig &l, const SlowControlConfig &r);
QDebug operator<<(QDebug dbg, const SlowControlConfig &r);
QDataStream &operator<<(QDataStream &out, const SlowControlConfig &r);
QDataStream &operator>>(QDataStream &in, SlowControlConfig &r);

#endif // SLOWCONTROLCONFIG_H
