#ifndef TRCSTATUS_H
#define TRCSTATUS_H

#include <QMetaType>
#include <QMap>

#include "ModularDeviceStatus.h"
#include "base/DeviceIndex.h"
#include "device-modules/TrcCore/PhysicalTrigger/PhysicalTriggerStatus.h"

struct TrcStatus : public ModularDeviceStatus
{
    explicit TrcStatus(const DeviceIndex &deviceIndex = {})
        : ModularDeviceStatus(deviceIndex) {}

    quint64 globEvNum = 0;
    PhysicalTriggerStatus phyTrig;
};
Q_DECLARE_METATYPE(TrcStatus)

#endif // TRCSTATUS_H
