#ifndef AFIVIEWERAPP_H
#define AFIVIEWERAPP_H

#include "app/DaqGuiApp.h"
#include <QCommandLineOption>
#include "AfiViewerStartupOptions.h"

class AfiViewerApp : public DaqGuiApp
{
public:
    AfiViewerApp(int &_argc, char *_argv[]);
    AfiViewerStartupOptions getStartupOptions() const { return so; }

protected:
    virtual void setupOptions() override;
    virtual void processParseResults(QCommandLineParser &parser) override;
    virtual QPixmap getSplashPixmap() const override;
    virtual bool hasConfigSelectorOption() const override { return true; }

private:
    QCommandLineOption inl_option;
    QCommandLineOption file_option;
    AfiViewerStartupOptions so;
};

#endif // AFIVIEWERAPP_H
