#ifndef CONFIGKEY_H
#define CONFIGKEY_H

#include <QMetaType>
class QDebug;

class ConfigKey
{
public:
    friend bool operator==(const ConfigKey &, const ConfigKey &) = default;
    ConfigKey &operator++() { seq++; return *this; }
    friend QDebug operator<<(QDebug dbg, const ConfigKey &key);

    bool isValid() const { return seq != -1; }

private:
    int seq = -1;
};

Q_DECLARE_METATYPE(ConfigKey)

#endif // CONFIGKEY_H
