#include "ConfigMeta.h"

bool operator==(const ConfigMeta &l, const ConfigMeta &r) {
    return  l.getCurrentHost().hostName() == r.getCurrentHost().hostName() &&
            l.getModificationTimestamp()==r.getModificationTimestamp() &&
            l.isPhantom()==r.isPhantom();
}

QString ConfigMeta::toString() const
{
    return QString("Current host = %1; Modification Timestamp = %2; is Phantom = %3")
            .arg(getCurrentHost().hostName())
            .arg(getModificationTimestamp().toString(Qt::ISODate))
            .arg(isPhantom() ? "true" : "false");
}
