#include "AdcSerDesDelay.h"

#include <QDataStream>
#include <QDebug>

QDebug operator<<(QDebug dbg, const AdcSerDesDelay &s)
{
    dbg << "AdcSerDesDelay{"
        << "clock:" << s.clock << ";"
        << "data:" << s.data
        << "}";
    return dbg;
}

QDataStream &operator<<(QDataStream &out, const AdcSerDesDelay &r)
{
    out
            << r.clock
            << r.data;
    return out;
}

QDataStream &operator>>(QDataStream &in, AdcSerDesDelay &r)
{
    in
            >> r.clock
            >> r.data;
    return in;
}
