#include "MscStreamConfig.h"

#include <QDebug>
#include <QDataStream>

bool operator==(const MscStreamConfig &l, const MscStreamConfig &r)
{
    return
            l.en == r.en &&
            l.useMask == r.useMask &&
            l.timeout == r.timeout &&
            l.slice == r.slice &&
            l.ceMonitor == r.ceMonitor &&
            true;
}

QDebug operator<<(QDebug dbg, const MscStreamConfig &c)
{
    dbg << "MscStreamConfig{"
        << "en:" << c.en
        << "useMask:" << c.useMask
        << "timeout:" << c.timeout
        << "slice:" << c.slice
        << "ceMonitor:" << c.ceMonitor
        << "}";
    return dbg;
}

QDataStream &operator<<(QDataStream &out, MscStreamConfig &r)
{
    out
            << r.en
            << r.useMask
            << r.timeout
            << r.slice
            << r.ceMonitor
           ;
    return out;
}

QDataStream &operator>>(QDataStream &in, MscStreamConfig &r)
{
    in
            >> r.en
            >> r.useMask
            >> r.timeout
            >> r.slice
            >> r.ceMonitor
           ;
    return in;
}
