#ifndef TLU16SFPTRIGGERCONFIG_H
#define TLU16SFPTRIGGERCONFIG_H

#include <QMetaType>
#include <QVector>

struct Tlu16SfpTriggerConfig
{
    friend bool operator==(const Tlu16SfpTriggerConfig &, const Tlu16SfpTriggerConfig &) = default;

    constexpr static const bool DEF_CH_EN = true;

    QVector<bool> tofChEn;
    quint16 tofSumThr = 0;
    QVector<bool> lumChEn; // Luminosity channels enable
};
Q_DECLARE_METATYPE(Tlu16SfpTriggerConfig)

#endif // TLU16SFPTRIGGERCONFIG_H
