#ifndef TLUDECDESSTATUS_H
#define TLUDECDESSTATUS_H

#include <QMetaType>
#include <QVector>

struct TluDecDesChStatus
{
    friend bool operator==(const TluDecDesChStatus &, const TluDecDesChStatus &) = default;
    bool isStatusOk() const { return (status&0x3)==0x3; }
    QStringList getStatusStringList() const;

    quint16 status = 0;
    quint16 bitSlip = 0;
    quint16 iDelay = 0;
    quint32 rxCodeErrCnt = 0;
};

struct TluDecDesStatus
{
    friend bool operator==(const TluDecDesStatus &, const TluDecDesStatus &) = default;

    QVector<TluDecDesChStatus> chSt;
};
Q_DECLARE_METATYPE(TluDecDesStatus)

#endif // TLUDECDESSTATUS_H
