#ifndef HPTDCERROR_H
#define HPTDCERROR_H

#include <array>

constexpr const std::array<const char *, 15> HPTDC_ERR_STR {
    "Hit lost in group 0 from read-out fifo overflow",
    "Hit lost in group 0 from L1 buffer overflow",
    "Hit error have been detected in group 0",
    "Hit lost in group 1 from read-out fifo overflow",
    "Hit lost in group 1 from L1 buffer overflow",
    "Hit error have been detected in group 1",
    "Hit lost in group 2 from read-out fifo overflow",
    "Hit lost in group 2 from L1 buffer overflow",
    "Hit error have been detected in group 2",
    "Hit lost in group 3 from read-out fifo overflow",
    "Hit lost in group 3 from L1 buffer overflow",
    "Hit error have been detected in group 3",
    "Hits rejected because of programmed event size limit",
    "Event lost (trigger FIFO ovefrlow)",
    "Internal fatal chip error has been detected"
};

#endif // HPTDCERROR_H
