#include "MscDeviceGlobal.h"
#include "MscDevice.h"

MscDeviceGlobal::MscDeviceGlobal(const DeviceIndex &index, QObject *parent)
    : MstreamMregDevGlobal(new MscDevice(index), msc_status, parent)
{
    connect(getDevice<MscDevice>(), &MscDevice::statusUpdated,
            this, &MscDeviceGlobal::statusUpdated);
}

void MscDeviceGlobal::statusUpdated(const MscStatus &status)
{
    Q_ASSERT(getDeviceIndex() == status.getDeviceIndex());
    if(getDeviceIndex() != status.getDeviceIndex())
        return;

    msc_status = status;
}
