#ifndef TQDCTELNETREMOTECONTROL_H
#define TQDCTELNETREMOTECONTROL_H

#include "TelnetRemoteControl/TelnetRemoteControl.h"

#include "lib-common/BaseDeviceAppConfig.h"

class ConfigKey;

class TqdcTelnetRemoteControl : public TelnetRemoteControl
{
    Q_OBJECT
public:
    explicit TqdcTelnetRemoteControl(quint16 port, QObject *parent = nullptr);

public slots:
    void setConfig(const ConfigKey &configKey, const BaseDeviceAppConfig &newConfig);
signals:
    void configChanged(const BaseDeviceAppConfig &config) const;

protected:
    virtual void setParam(const QString &key, const QVariant &val) override;

    BaseDeviceAppConfig config;
};

#endif // TQDCTELNETREMOTECONTROL_H
