#include "ClientIndexTableModel.h"

#include "base/ClientIndex.h"

//DeviceIndex ClientIndexTableModel::clientIndexOf(const QModelIndex &index) const
//{
//    if (! index.isValid())
//        return {};
//    return clientIndexOf(index.row());
//}

void ClientIndexTableModel::invalidateRow(const ClientIndex &clientIndex)
{
    int row = rowOf(clientIndex);
    if (row == -1)
        return;

    auto indexFrom = createIndex(row, 0);
    auto indexTo = createIndex(row, columnCount()-1);
    emit dataChanged(indexFrom, indexTo);
}

QVariant ClientIndexTableModel::headerData(int section, Qt::Orientation orientation, int role) const
{
    if (orientation == Qt::Vertical) {
        if (role == Qt::UserRole) {
            const auto &index = clientIndexOf(section);
            return QVariant::fromValue(index);
        }
        return {};
    }
    return {};
}
