#ifndef ADCBASELINECALIBRATION_H
#define ADCBASELINECALIBRATION_H


#include <QVector>
#include <QMap>

class MultichannelBaselineStats;
class WaveRecModule;

class AdcBaselineCalibration
{
public:
    AdcBaselineCalibration(WaveRecModule *_adcCor);

    bool calibrateBaseline(MultichannelBaselineStats *result);

private:
    WaveRecModule * const waveRec;
};

#endif // ADCBASELINECALIBRATION_H
